<manifest xmlns:android="http://schemas.android.com/apk/res/android"
    package="com.atmob.keyboard_android">

    <uses-permission android:name="android.permission.SYSTEM_ALERT_WINDOW" />
    <application>
        <meta-data
            android:name="com.bumptech.glide.integration.okhttp3.OkHttpGlideModule"
            android:value="GlideModule" />

        <activity
            android:name=".keyboard.InputMethodPickerActivity"
            android:launchMode="singleTask"
            android:theme="@android:style/Theme.Translucent.NoTitleBar" />

        <service
            android:name=".keyboard.CustomKeyboardService"
            android:exported="true"
            android:label="追爱小键盘"
            android:permission="android.permission.BIND_INPUT_METHOD">
            <intent-filter>
                <action android:name="android.view.InputMethod" />
            </intent-filter>
            <meta-data
                android:name="android.view.im"
                android:resource="@xml/keyboard_method" />
        </service>

        <service
            android:name="com.atmob.keyboard_android.floating.FloatingButtonService"
            android:exported="true"
            android:permission="android.permission.BIND_ACCESSIBILITY_SERVICE">
            <intent-filter>
                <action android:name="android.accessibilityservice.AccessibilityService" />
            </intent-filter>
        </service>
    </application>
</manifest>
